Index: src/Actions/FragmentationAction/AnalyseFragmentationResultsAction.cpp
===================================================================
--- src/Actions/FragmentationAction/AnalyseFragmentationResultsAction.cpp	(revision a61dbbe03ddbe4f5f0a22574b63fb4d32e312493)
+++ src/Actions/FragmentationAction/AnalyseFragmentationResultsAction.cpp	(revision 2a03b00b33c43f417fdf3452727473a2043f2638)
@@ -537,5 +537,5 @@
 
   if (keysets.KeySets.empty()) {
-    ELOG(2, "There are no results in the container.");
+    STATUS("There are no results in the container.");
     return Action::failure;
   }
@@ -625,5 +625,5 @@
   if (DoLongrange) {
     if ( World::getInstance().getAllAtoms().size() == 0) {
-      ELOG(1, "Please load the full molecule intostd::map<JobId_t, VMGData> longrangeData the world before starting this action.");
+      STATUS("Please load the full molecule intostd::map<JobId_t, VMGData> longrangeData the world before starting this action.");
       return Action::failure;
     }
Index: src/Actions/FragmentationAction/ClearFragmentationResultsAction.cpp
===================================================================
--- src/Actions/FragmentationAction/ClearFragmentationResultsAction.cpp	(revision a61dbbe03ddbe4f5f0a22574b63fb4d32e312493)
+++ src/Actions/FragmentationAction/ClearFragmentationResultsAction.cpp	(revision 2a03b00b33c43f417fdf3452727473a2043f2638)
@@ -56,6 +56,8 @@
     LOG(1, "STATUS: Fragmentation results cleared.");
     return Action::success;
-  } else
+  } else {
+    STATUS("Failed to clear fragmentation results.");
     return Action::failure;
+  }
 }
 
Index: src/Actions/FragmentationAction/FragmentationAction.cpp
===================================================================
--- src/Actions/FragmentationAction/FragmentationAction.cpp	(revision a61dbbe03ddbe4f5f0a22574b63fb4d32e312493)
+++ src/Actions/FragmentationAction/FragmentationAction.cpp	(revision 2a03b00b33c43f417fdf3452727473a2043f2638)
@@ -87,5 +87,5 @@
   // check for selected atoms
   if (world.beginAtomSelection() == world.endAtomSelection()) {
-    ELOG(1, "There are no atoms selected for fragmentation.");
+    STATUS("There are no atoms selected for fragmentation.");
     return Action::failure;
   }
Index: src/Actions/FragmentationAction/FragmentationAutomationAction.cpp
===================================================================
--- src/Actions/FragmentationAction/FragmentationAutomationAction.cpp	(revision a61dbbe03ddbe4f5f0a22574b63fb4d32e312493)
+++ src/Actions/FragmentationAction/FragmentationAutomationAction.cpp	(revision 2a03b00b33c43f417fdf3452727473a2043f2638)
@@ -193,5 +193,5 @@
   if (params.DoLongrange.get()) {
   if ( World::getInstance().getAllAtoms().size() == 0) {
-    ELOG(1, "Please load the full molecule into the world before starting this action.");
+    STATUS("Please load the full molecule into the world before starting this action.");
     return Action::failure;
   }
@@ -237,6 +237,8 @@
         params.DoValenceOnly.get() ? MPQCData::DoSampleValenceOnly : MPQCData::DontSampleValenceOnly,
         params.DoPrintDebug.get(),
-        OpenBoundaryConditions))
+        OpenBoundaryConditions)) {
+      STATUS("Could not create long-range jobs for electronic charge distribution.");
       return Action::failure;
+    }
 
     // Phase Six a: calculate result
@@ -263,6 +265,8 @@
           params.DoValenceOnly.get() ? MPQCData::DoSampleValenceOnly : MPQCData::DontSampleValenceOnly,
           params.DoPrintDebug.get(),
-          OpenBoundaryConditions))
+          OpenBoundaryConditions)) {
+        STATUS("Could not create long-range jobs for nuclei charge distribution.");
         return Action::failure;
+      }
 
       // Phase Six b: calculate result
@@ -296,6 +300,8 @@
         debugcontroller.setPort(params.port.get());
         debugcontroller.requestIds(full_sample.size());
-        if (!debugcontroller.createDebugJobs(full_sample, OpenBoundaryConditions))
+        if (!debugcontroller.createDebugJobs(full_sample, OpenBoundaryConditions)) {
+          STATUS("Could not create debug jobs.");
           return Action::failure;
+        }
         debugcontroller.waitforResults(full_sample.size());
         debugcontroller.getResults(debugData);
@@ -327,4 +333,6 @@
   }
 
+  if (Exitflag != 0)
+    STATUS("Controller has returned failure.");
   return (Exitflag == 0) ? Action::success : Action::failure;
 }
Index: src/Actions/FragmentationAction/ParseFragmentJobsAction.cpp
===================================================================
--- src/Actions/FragmentationAction/ParseFragmentJobsAction.cpp	(revision a61dbbe03ddbe4f5f0a22574b63fb4d32e312493)
+++ src/Actions/FragmentationAction/ParseFragmentJobsAction.cpp	(revision 2a03b00b33c43f417fdf3452727473a2043f2638)
@@ -53,5 +53,5 @@
   // check for present jobs
   if (params.jobfiles.get().empty()) {
-    ELOG(2, "Given vector of jobfiles is empty!");
+    STATUS("Given vector of jobfiles is empty!");
     return Action::failure;
   }
@@ -60,6 +60,8 @@
   if(!FragmentJobQueue::getInstance().addJobsFromFiles(
       params.jobfiles.get(),
-      params.level.get()))
+      params.level.get())) {
+    STATUS("Could not parse all given jobs files.");
     return Action::failure;
+  }
   size_t FragmentCounter = FragmentJobQueue::getInstance().size();
   LOG(1, "STATUS: I parsed " << FragmentCounter << " fragment files.");
Index: src/Actions/FragmentationAction/StoreSaturatedFragmentAction.cpp
===================================================================
--- src/Actions/FragmentationAction/StoreSaturatedFragmentAction.cpp	(revision a61dbbe03ddbe4f5f0a22574b63fb4d32e312493)
+++ src/Actions/FragmentationAction/StoreSaturatedFragmentAction.cpp	(revision 2a03b00b33c43f417fdf3452727473a2043f2638)
@@ -60,5 +60,5 @@
   // check for selected atoms
   if (world.beginAtomSelection() == world.endAtomSelection()) {
-    ELOG(1, "There are not atoms selected for storing.");
+    STATUS("There are not atoms selected for storing.");
     return Action::failure;
   }
